#include <QtPlugin>
#include <QtWaylandClient/private/qwaylandshellintegrationplugin_p.h>

#include "DesQShellIntegration.hpp"

class DesQShellIntegrationPlugin : public QtWaylandClient::QWaylandShellIntegrationPlugin {

	Q_OBJECT
	Q_PLUGIN_METADATA( IID QWaylandShellIntegrationFactoryInterface_iid FILE "desqwl.json")

	public:
		virtual QtWaylandClient::QWaylandShellIntegration *create( const QString &key, const QStringList &paramList) override {
			Q_UNUSED( key );
			Q_UNUSED( paramList );
			return new DesQ::ShellIntegration();
		};
};

//Q_IMPORT_PLUGIN(DesQDesQLayerShellIntegrationPlugin);

#include "DesQShellIntegrationPlugin.moc"
