TEMPLATE = lib
TARGET = desq-layershell-plugin

QT += gui gui-private waylandclient-private

CONFIG += wayland-scanner plugin silent
QMAKE_USE += wayland-client

INCLUDEPATH += ../interface /usr/include/libdesqwl
LIBS +=-L../interface -ldesq-layershell

DISTFILES += desqwl.json

HEADERS += DesQShellIntegration.hpp

SOURCES += DesQShellIntegration.cpp
SOURCES += DesQShellIntegrationPlugin.cpp

# Build location
BUILD_PREFIX = $$(DESQ_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = .build
}

MOC_DIR 	= $$BUILD_PREFIX/libdesqwl-ls/moc
OBJECTS_DIR = $$BUILD_PREFIX/libdesqwl-ls/obj
RCC_DIR		= $$BUILD_PREFIX/libdesqwl-ls/qrc
UI_DIR      = $$BUILD_PREFIX/libdesqwl-ls/uic

unix {
    INSTALLS += target
    target.path = $$[QT_INSTALL_PLUGINS]/wayland-shell-integration
}
