TEMPLATE = lib
TARGET = desq-layershell

CONFIG += wayland-scanner
QMAKE_USE += wayland-client

WAYLANDCLIENTSOURCES += protocols/wlr-layer-shell-unstable-v1.xml
WAYLANDCLIENTSOURCES += protocols/xdg-shell.xml

CONFIG += silent

QT += gui gui-private waylandclient-private

CONFIG += silent

PROTOCOLS += qwayland-wlr-layer-shell-unstable-v1.h
PROTOCOLS += qwayland-xdg-shell.h
PROTOCOLS += wayland-wlr-layer-shell-unstable-v1-client-protocol.h
PROTOCOLS += wayland-xdg-shell-client-protocol.h

HEADERS += DropDownSurface.hpp
SOURCES += DropDownSurface.cpp

# Build location
BUILD_PREFIX = $$(DESQ_BUILD_DIR)
isEmpty( BUILD_PREFIX ) {
	BUILD_PREFIX = .build
}

MOC_DIR 	= $$BUILD_PREFIX/libdesqwl-ls/moc
OBJECTS_DIR = $$BUILD_PREFIX/libdesqwl-ls/obj
RCC_DIR		= $$BUILD_PREFIX/libdesqwl-ls/qrc
UI_DIR      = $$BUILD_PREFIX/libdesqwl-ls/uic

unix {
    INSTALLS += target headers

    target.path = /usr/lib/

    headers.path = /usr/include/desqwl
    headers.files = DropDownSurface.hpp $$PROTOCOLS
}
