#pragma once

#include <wayland-client.h>
#include <QtWaylandClient/private/qwaylandwindow_p.h>
#include <QtWaylandClient/private/qwaylanddisplay_p.h>
#include <QtWaylandClient/private/qwaylandshellintegration_p.h>

namespace DesQ {
    class DropDownShell;
    class ShellIntegration;
};

class DesQ::ShellIntegration : public QtWaylandClient::QWaylandShellIntegration {
    public:
        ShellIntegration();
        bool initialize( QtWaylandClient::QWaylandDisplay *display ) override;
        QtWaylandClient::QWaylandShellSurface *createShellSurface( QtWaylandClient::QWaylandWindow *window ) override;

    private:
        static void registryLayer( void *, struct wl_registry *, uint32_t, const QString &, uint32_t );

        DesQ::DropDownShell *m_layerShell;
};
